# CleanRedirectView Class Reference
[Spring-like webflow tools]

Inheritance diagram for CleanRedirectView:
[legend]

List of all members.

## Public Member Functions

| __construct ($url)
| render ($model=null)
| getUrl ()

## Static Public Member Functions

static | create ($url)

## Protected Member Functions

| getLocationUrl ($model=null)

## Protected Attributes

| $url = null

## Detailed Description

Definition at line 15 of file CleanRedirectView.class.php.

## Constructor & Destructor Documentation

CleanRedirectView::__construct | ( | $ | url | ) |

Reimplemented in RedirectToView.

Definition at line 19 of file CleanRedirectView.class.php.

References $url.

## Member Function Documentation

static CleanRedirectView::create | ( | $ | url | ) | `[static]`

Returns:
  CleanRedirectView

Reimplemented in RedirectToView, and RedirectView.

Definition at line 27 of file CleanRedirectView.class.php.

References $url.

CleanRedirectView::getLocationUrl | ( | $ | model = `null` | ) | `[protected]`

Reimplemented in RedirectView.

Definition at line 42 of file CleanRedirectView.class.php.

References getUrl().

Referenced by render().

Here is the call graph for this function:

CleanRedirectView::getUrl | ( |  | ) |

Reimplemented in RedirectToView.

Definition at line 37 of file CleanRedirectView.class.php.

Referenced by RedirectView::getLocationUrl(), and getLocationUrl().

CleanRedirectView::render | ( | $ | model = `null` | ) |

Parameters:

  | $model | null or Model

Implements View.

Definition at line 32 of file CleanRedirectView.class.php.

References getLocationUrl(), and HeaderUtils::redirectRaw().

Here is the call graph for this function:

## Member Data Documentation

CleanRedirectView::$url = null`[protected]`

Definition at line 17 of file CleanRedirectView.class.php.

Referenced by __construct(), RedirectView::create(), and create().

The documentation for this class was generated from the following file:

- main/Flow/CleanRedirectView.class.php